<tr class="<?php echo $color; ?>">
          <?php
 $path = $base_dir.$rel_dir."/".$file_list[$i];
$path=str_replace("//","/",$path);
	    $modified  = filemtime($path) ;
	    $size   = filesize($path) ;
		if($size >= 1024*1024 )
		 {
 		 $size=vsprintf("%1.2f Mb", $size/(1024*1024) );
		 }
		 else if ($size >= 1024  )
		  {
		 $size=vsprintf("%1.2f Kb",$size/1024 );
		  }
		  else
		  {
		  $size = $size . " Bytes";
		  }
?>

  <td width="60" align="center"><a href="javascript:openWin('<?php

	        echo "\nPath :".$path;

		   $fsize = filesize($path) ;
		   $fmodified = date("d/M/y G:i:s", filemtime($path)) ;
     	   $faccessed = date("d/M/y G:i:s", fileatime($path)) ;
	  echo "\\nfile size    : " . $fsize . " Bytes" ;
	  echo "\\nlast modified: " . $fmodified  ;
	  echo "\\nlast accessed: " . $faccessed  ;
	  echo "\\n        owner: " . fileowner($path)  ;
	  echo "\\n        group: " . filegroup($path)  ;
	  echo "\\npermissions  : " ;
	  echo printf( "%o", fileperms($path) ) ;

//			echo "./info.php?file=".$path;
				?>');"><img src="images/mime/<?php
		 $ext=array();

		 $ext=explode(".",$file_list[$i],strlen($file_list[$i]));
		 $extn=$ext[count($ext)-1];
		 switch (($extn) )
		 {
		 case "css":
		 echo "css.gif";
		 break;

		 case "csv":
		 echo "csv.gif";
		 break;

		 case "fla":
		 case "swf":
		 echo "fla.gif";
		 break;



		 case "mp3":
		 case "wav":
		 echo "mp3.gif";
		 break;

		 case "jpg":
		 case "gif":
		 case "png":
		 echo "jpg.gif";
		 break;

		 case "bmp":
		 case "dib":
		 echo "bmp.gif";
		 break;

         case "txt":
		 case "log":
		 echo "txt.gif";
		 break;

         case "js":
		 echo "js.gif";
		 break;

		 case "pdf":
		 echo "pdf.gif";
		 break;

		 case "zip":
		 case "rar":
		 case "tgz":
		 case "gz":
		 echo "zip.gif";
		 break;

		 case "doc":
		 case "rtf":
		 echo "doc.gif";
		 break;

		 case "asp":
		 case "jsp":
		 echo "asp.gif";
		 break;

		 case "php":
		 case "php3":
		 echo "php.gif";
		 break;

		 case "htm":
		 case "html":
		 echo "htm.gif";
		 break;

         case "ppt":
		 echo "ppt.gif";
		 break;

		 case "exe":
		 case "bat":
		 case "com":
		 echo "exe.gif";
		 break;

		 case "wmv":
		 case "mpg":
		 case "mpeg":
		 case "wma":
		 case "asf":
		 echo "wmv.gif";
		 break;

		 case "midi":
		 case "mid":
		 echo "midi.gif";
		 break;

		 case "mov":
		 echo "mov.gif";
		 break;

		 case "psd":
		 echo "psd.gif";
		 break;

		 case "ram":
		 case "rm":
		 echo "rm.gif";
		 break;

		 case "xml":
		 echo "xml.gif";
		 break;

		 default :
		 echo "ukn.gif";
		 break;
		 }
	?>" border="0"></a> </td>

  <td> <a href="<?php echo $website.$rel_dir."".$file_list[$i]; ?>" class="slink" target="_blank"><?php echo $file_list[$i];
	?>
    </a></td>
  <td ><center>
      <?php

      $size   = filesize($path) ;
		if($size >= 1024*1024 )
		 {
 		 $size=vsprintf("%1.2f Mb", $size/(1024*1024) );
		 }
		 else if ($size >= 1024  )
		  {
		 $size=vsprintf("%1.2f Kb",$size/1024 );
		  }
		  else
		  {
		  $size = $size . " Bytes";
		  }
		  echo $size;
		  ?>
    </center> </td>
          <td><center><?php echo getPerms(fileperms($path));?></center></td>
			<td><div align="center"><a href="javascript:chmod('<?php echo $path; ?>','<?php echo $rel_dir; ?>');");" class="slink"><img src="images/icons/lock.gif" width="19" height="19" border="0" Alt="Change permissions" title="Change permissions"></a></div></td>
			<td >
            <div align="center"><?php
			if( isviewable($extn) || isimage($extn))
			{
//            $path = $base_dir.$rel_dir."/".$file_list[$i];
			echo '<a href="admin.php?fmaction=view&rel_dir='.$rel_dir.'&view='.$path.'" class="slink"><img src="images/icons/view.gif" width="19" height="19" border="0" Alt="View this file" title="View this file"></a>';
			}
			else echo"---";
			?> </div></td>

          <td >
            <div align="center"><?php
			if( iseditable($extn) )
			{
//            $path = $base_dir.$rel_dir."/".$file_list[$i];
			echo '<a href="admin.php?fmaction=edit&rel_dir='.$rel_dir.'&edit='.$path.'" class="slink"><img src="images/icons/edit.gif" width="19" height="19" border="0" Alt="Edit this file" title="Edit this file"></a>';
			}
						else echo"---";
			?> </div></td>
          <td>
            <div align="center"><a href="javascript:confirm_del('<?php echo $path; ?>','<?php echo $rel_dir; ?>');" class="slink"><img src="images/icons/delete.gif" width="19" height="19" border="0" Alt="Delete this file" title="Delete this file"></a></div></td>
       <td><input name="sel_f[]" type="checkbox" id="sel_f[]" onClick="javascript:Toggle(this);"  value="<?php echo $path; ?>">  </td>
	    </tr>